import * as optimizely from '@optimizely/optimizely-sdk';
import * as React from 'react';
declare type User = {
    id: string;
    attributes: optimizely.UserAttributes;
};
export declare function areUsersEqual(user1: User, user2: User): boolean;
export interface AcceptsForwardedRef<R> {
    forwardedRef?: React.Ref<R>;
}
export declare function hoistStaticsAndForwardRefs<R, P extends AcceptsForwardedRef<R>>(Target: React.ComponentType<P>, Source: React.ComponentType<any>, displayName: string): React.ForwardRefExoticComponent<React.PropsWithoutRef<P> & React.RefAttributes<R>>;
export {};
